trust

  • ****
  • 291
MinimOSD - where are they?
« on: July 04, 2022, 07:10:23 pm »
I've used a lot of these over the last 2 years and like the programmable aspects of them.
But recently I tried to purchase 3 more and the shipment first "appeared" to ship to a site in NJ, then "magically" appeared in my mailbox the same day (3000 miles away). Which it didn't. Still fighting with Aliexpress on that one.
Tried Amazon. Two weeks later, say they shipped, but no tracking number - Amazon got wise and refunded my $.
  Looked on the PCBs - there's two main chips, AT7456E (the OSD chip, MAX7456E?) and an Atmega328P processor. The first appears to be obsolete, although I did find what appears to be a copy made by Zhongkewei available. The 328P can be had if I want to wait till July.
  Are there any of these PCBs out there from a reliable source?
I'm considering making a bunch (like 25 or so) if I can really get the parts. Is there a PCB schematic or layout available?
Any decent alternatives?

Re: MinimOSD - where are they?
« Reply #1 on: July 05, 2022, 12:06:42 pm »
I would just try a different seller, just don't bother trying eBay for that, they are $40 each there for some reason.

Amazon wants $9.  I would probably try there.

trust

  • ****
  • 291
Re: MinimOSD - where are they?
« Reply #2 on: July 05, 2022, 05:59:46 pm »
Thanks for the reply.
As I pointed out in my note, I did try Amazon, and they canceled the order after two weeks when the vendor didn't actually ship anything and I complained. There is only one vendor showing this product. They STILL advertise it, BTW.
For the time being I'm moving units from planes I'm not flying much to new test planes - the data I get is valuable for diagnosing flight characteristics.
But I'm still interested in building some.

trust

  • ****
  • 291
Re: MinimOSD - where are they?
« Reply #3 on: July 05, 2022, 06:21:14 pm »
I did some more searching for schematics and looked on Hobbyking, and found two different versions of this OSD - seems to use the same two main chips.
Anyone use these versions?